@echo off

cls
@echo.
@echo ------------------------------------------------------------------
@echo                 BUILD THE LIBRARIES FOR MASM32
@echo.
@echo                           IMPORTANT
@echo.
@echo If you have programs running that use a lot of processor resource
@echo or in any other way interfere with processor intensive operations
@echo like the following library building operations, close them down
@echo now before you continue with this instalation as they may prevent
@echo the library building operations from successfully completing.
@echo ------------------------------------------------------------------
@echo.
@echo This operation performs the following actions,
@echo.
@echo       1. Builds the IMPORT Libraries for system API calls.
@echo       2. Builds the MASM32 static library.
@echo       3. Builds the FPULIB static library.
@echo       4. Installs the VKdebug files into MASM32.
@echo       5. Builds the MSVCRT library and include file
@echo.
@echo ------------------------------------
@echo Press any key to build the libraries
@echo ------------------------------------
@echo.
pause > nul

cd include
call bldlibs.bat
cd ..
cd m32lib
call make.bat
cd ..
cd fpulib
call make.bat
cd ..
cd vkdebug
call setup.bat
cd ..

cd tools\makecimp
call makevcrt.bat
cd ..\..

cd testinst
call makeit.bat
if exist testinst.exe testinst.exe
if not exist testinst.exe goto badinst

cd ..
goto theend

:badinst
@echo.
@echo It appears that your installation did not work corectly.
@echo Try running the MAKELIBS.BAT file in the MASM32 directory
@echo to manually build the libraries for MASM32. Ensure that
@echo your computer is not running other tasks when you try to
@echo build the libraries manually.

:theend











